PHP Manual
Prev |  | Next

# ps_add_bookmark

(PECL)

ps_add_bookmark -- Add bookmark to current page

## Description

int ps_add_bookmark ( resource psdoc, string text [, int parent [, int open]] )

Adds a bookmark for the current page. Bookmarks usually appear in PDF-Viewers left of the page in a hierarchical tree. Clicking on a bookmark will jump to the given page.

The bookmark has no meaning if the document is printed or viewed but it will be used if the document is converted to pdf by either Acrobat Distiller™ or Ghostview.

## Parameters

psdoc

text

parent

  The parameter parent is another bookmark which is used as the parent of the new bookmark.

open

  If open is unequal to zero the bookmark will be shown open by the pdf viewer.

## Return Values

The returned value is a reference for the bookmark. It is only used if the bookmark shall be used as a parent.

Returns the identifier of the bookmark or zero in case of an error. The identifier is a positive number.

## See Also

ps_add_launchlink()
ps_add_pdflink()
ps_add_weblink()

Prev | Home | Next
PostScript document creation | Up | ps_add_launchlink